Agora Java API Reference for Android

Static Public Member Functions | Public Attributes | List of all members
io.agora.rtm.RtmConstants.RtmConnectionChangeReason Enum Reference

## Static Public Member Functions
| [static initializer]
static int | getValue (RtmConnectionChangeReason reason)
static RtmConnectionChangeReason | getEnum (Integer value)

## Public Attributes
| CONNECTING =(0)
| JOIN_SUCCESS =(1)
| INTERRUPTED =(2)
| BANNED_BY_SERVER =(3)
| JOIN_FAILED =(4)
| LEAVE_CHANNEL =(5)
| INVALID_APP_ID =(6)
| INVALID_CHANNEL_NAME =(7)
| INVALID_TOKEN =(8)
| TOKEN_EXPIRED =(9)
| REJECTED_BY_SERVER =(10)
| SETTING_PROXY_SERVER =(11)
| RENEW_TOKEN =(12)
| CLIENT_IP_ADDRESS_CHANGED =(13)
| KEEP_ALIVE_TIMEOUT =(14)
| REJOIN_SUCCESS =(15)
| LOST =(16)
| ECHO_TEST =(17)
| CLIENT_IP_ADDRESS_CHANGED_BY_USER =(18)
| SAME_UID_LOGIN =(19)
| TOO_MANY_BROADCASTERS =(20)
| LICENSE_VALIDATION_FAILURE =(21)
| CERTIFICATION_VERIFY_FAILURE =(22)
| STREAM_CHANNEL_NOT_AVAILABLE =(23)
| INCONSISTENT_APPID =(24)
| LOGIN_SUCCESS =(10001)
| LOGOUT =(10002)
| PRESENCE_NOT_READY =(10003)

## Detailed Description

Reasons for connection state change.

## Member Data Documentation

## ◆ CONNECTING

io.agora.rtm.RtmConstants.RtmConnectionChangeReason.CONNECTING =(0)

0: The SDK is connecting to the server.

## ◆ JOIN_SUCCESS

io.agora.rtm.RtmConstants.RtmConnectionChangeReason.JOIN_SUCCESS =(1)

1: The SDK has joined the channel successfully.

## ◆ INTERRUPTED

io.agora.rtm.RtmConstants.RtmConnectionChangeReason.INTERRUPTED =(2)

2: The connection between the SDK and the server is interrupted.

## ◆ BANNED_BY_SERVER

io.agora.rtm.RtmConstants.RtmConnectionChangeReason.BANNED_BY_SERVER =(3)

3: The connection between the SDK and the server is banned by the server.

## ◆ JOIN_FAILED

io.agora.rtm.RtmConstants.RtmConnectionChangeReason.JOIN_FAILED =(4)

4: The SDK fails to join the channel for more than 20 minutes and stops reconnecting to the channel.

## ◆ LEAVE_CHANNEL

io.agora.rtm.RtmConstants.RtmConnectionChangeReason.LEAVE_CHANNEL =(5)

5: The SDK has left the channel.

## ◆ INVALID_APP_ID

io.agora.rtm.RtmConstants.RtmConnectionChangeReason.INVALID_APP_ID =(6)

6: The connection fails because the App ID is not valid.

## ◆ INVALID_CHANNEL_NAME

io.agora.rtm.RtmConstants.RtmConnectionChangeReason.INVALID_CHANNEL_NAME =(7)

7: The connection fails because the channel name is not valid.

## ◆ INVALID_TOKEN

io.agora.rtm.RtmConstants.RtmConnectionChangeReason.INVALID_TOKEN =(8)

8: The connection fails because the token is not valid.

## ◆ TOKEN_EXPIRED

io.agora.rtm.RtmConstants.RtmConnectionChangeReason.TOKEN_EXPIRED =(9)

9: The connection fails because the token has expired.

## ◆ REJECTED_BY_SERVER

io.agora.rtm.RtmConstants.RtmConnectionChangeReason.REJECTED_BY_SERVER =(10)

10: The connection is rejected by the server.

## ◆ SETTING_PROXY_SERVER

io.agora.rtm.RtmConstants.RtmConnectionChangeReason.SETTING_PROXY_SERVER =(11)

11: The connection changes to reconnecting because the SDK has set a proxy server.

## ◆ RENEW_TOKEN

io.agora.rtm.RtmConstants.RtmConnectionChangeReason.RENEW_TOKEN =(12)

12: When the connection state changes because the app has renewed the token.

## ◆ CLIENT_IP_ADDRESS_CHANGED

io.agora.rtm.RtmConstants.RtmConnectionChangeReason.CLIENT_IP_ADDRESS_CHANGED =(13)

13: The IP Address of the app has changed. A change in the network type or IP/Port changes the IP address of the app.

## ◆ KEEP_ALIVE_TIMEOUT

io.agora.rtm.RtmConstants.RtmConnectionChangeReason.KEEP_ALIVE_TIMEOUT =(14)

14: A timeout occurs for the keep-alive of the connection between the SDK and the server.

## ◆ REJOIN_SUCCESS

io.agora.rtm.RtmConstants.RtmConnectionChangeReason.REJOIN_SUCCESS =(15)

15: The SDK has rejoined the channel successfully.

## ◆ LOST

io.agora.rtm.RtmConstants.RtmConnectionChangeReason.LOST =(16)

16: The connection between the SDK and the server is lost.

## ◆ ECHO_TEST

io.agora.rtm.RtmConstants.RtmConnectionChangeReason.ECHO_TEST =(17)

17: The change of connection state is caused by echo test.

## ◆ CLIENT_IP_ADDRESS_CHANGED_BY_USER

io.agora.rtm.RtmConstants.RtmConnectionChangeReason.CLIENT_IP_ADDRESS_CHANGED_BY_USER =(18)

18: The local IP Address is changed by user.

## ◆ SAME_UID_LOGIN

io.agora.rtm.RtmConstants.RtmConnectionChangeReason.SAME_UID_LOGIN =(19)

19: The connection is failed due to join the same channel on another device with the same uid.

## ◆ TOO_MANY_BROADCASTERS

io.agora.rtm.RtmConstants.RtmConnectionChangeReason.TOO_MANY_BROADCASTERS =(20)

20: The connection is failed due to too many broadcasters in the channel.

## ◆ LICENSE_VALIDATION_FAILURE

io.agora.rtm.RtmConstants.RtmConnectionChangeReason.LICENSE_VALIDATION_FAILURE =(21)

21: The connection is failed due to license validation failure.

## ◆ CERTIFICATION_VERIFY_FAILURE

io.agora.rtm.RtmConstants.RtmConnectionChangeReason.CERTIFICATION_VERIFY_FAILURE =(22)

22: The connection is failed due to certification verify failure.

## ◆ STREAM_CHANNEL_NOT_AVAILABLE

io.agora.rtm.RtmConstants.RtmConnectionChangeReason.STREAM_CHANNEL_NOT_AVAILABLE =(23)

23: The connection is failed due to user vid not support stream channel.

## ◆ INCONSISTENT_APPID

io.agora.rtm.RtmConstants.RtmConnectionChangeReason.INCONSISTENT_APPID =(24)

24: The connection is failed due to token and appid inconsistent.

## ◆ LOGIN_SUCCESS

io.agora.rtm.RtmConstants.RtmConnectionChangeReason.LOGIN_SUCCESS =(10001)

10001: The connection of rtm edge service has been successfully established.

## ◆ LOGOUT

io.agora.rtm.RtmConstants.RtmConnectionChangeReason.LOGOUT =(10002)

10002: User log out Agora RTM system.

## ◆ PRESENCE_NOT_READY

io.agora.rtm.RtmConstants.RtmConnectionChangeReason.PRESENCE_NOT_READY =(10003)

10003: User log out Agora RTM system.